# Class JExtraBotApi

#### Hierarchy (View Summary)

- JBaseApi
  - JExtraBotApi

- Defined in jamespot-user-api/src/apis/extraBot/extraBot.ts:11

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

createBot
generatePrompt
list
updateBot

## Constructors

### constructor

- new JExtraBotApi(jApi: JamespotUserApi): JExtraBotApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JExtraBotApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### createBot

- createBot(
  uri: string,
  signal?: AbortSignal,
  ): Promise<ApiWrapper<jUserLittle, BaseMessages>>

  #### Parameters

  - uri: string
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<jUserLittle, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/extraBot/extraBot.ts:12

### generatePrompt

- generatePrompt(signal?: AbortSignal): Promise<ApiWrapper<string, BaseMessages>>

  #### Parameters

  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<string, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/extraBot/extraBot.ts:34

### list

- list<
  F extends "raw-little"
  | "raw-list"
  | "raw-view" = VIEW,
  T extends string | number | symbol = never,
  >(
  type: "all" | "mines",
  payload: ListQueryParameters,
  options?: { signal?: AbortSignal },
  ): PromiseApiPagingResults<Articles<F, T>>

  #### Type Parameters

  - F extends "raw-little" | "raw-list" | "raw-view" = VIEW
  - T extends string | number | symbol = never

  #### Parameters

  - type: "all" | "mines"
  - payload: ListQueryParameters
  - `Optional` options: { signal?: AbortSignal }

  #### Returns PromiseApiPagingResults<Articles<F, T>>

  - Defined in jamespot-user-api/src/apis/extraBot/extraBot.ts:44

### updateBot

- updateBot(
  uriConfiguration: string,
  signal?: AbortSignal,
  ): Promise<ApiWrapper<jUserLittle, BaseMessages>>

  #### Parameters

  - uriConfiguration: string
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<jUserLittle, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/extraBot/extraBot.ts:23